/* 
 Theme Name:   child-of-fxp
 Theme URI:    https://fxpfestival.com/child-of-fxp/
 Description:  FXP coding festival 2018
 Author:       Xtal
 Author URI:   https://fxpfestival.com/
 Template:     thekeynote
 Version:      1.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html

 /* == Add your own styles below this line ==
--------------------------------------------*/


@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@200;300;400;500;700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;1,300;1,400&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Orbitron&display=swap');


.twenty-twenty-one-winner {font-family: 'Roboto' !important;
    font-weight: 400 !important;
    font-size: 3.5em !important;
    color: #ff0000 !important;
   }

a.mega-menu-link {color:#ffffff !important;}

li.mega-menu-item {color:#ffffff !important;}

.fxp-Btn {
	background-color:#f4cc2e;
	border-radius:28px;
	border:1px solid #f4cc2e;
	display:inline-block;
	cursor:pointer;
	color:#333333;
	font-family: 'Source Sans Pro', sans-serif !important;
	font-size:17px;
	padding:16px 31px;
	text-decoration:none;
}
.fxp-Btn:hover {
	background-color:#ee0f0f;
}
.fxp-Btn:active {
	position:relative;
	top:1px;
}

a:hover {color: #ee0f0f !important;}


	
#hidden-row {display: none;}

.fxp-body-white { font-size:1.1em !important; line-height: 1.35em; font-family: 'Source Sans Pro', sans-serif; overflow-y: scroll;
	-webkit-text-size-adjust: 100%; -webkit-font-smoothing: antialiased;color: white !important;}

body { font-size:1.1em !important; line-height: 1.35em; font-family: 'Source Sans Pro', sans-serif; overflow-y: scroll;
	-webkit-text-size-adjust: 100%; -webkit-font-smoothing: antialiased;color: white !important;}


h1, h2, h3, h4, h5, h6 { line-height: 1.3; margin-bottom: 18px; font-weight: 300; }	



ul.gdlr-twitter-widget {font-family: 'Source Sans Pro', sans-serif !important; color:#ffffff;font-weight:400;}


.about-us {font-family: 'Source Sans Pro', sans-serif;font-size:18px; line-height: 22px}

@media only screen and (max-width: 414px) {
.about-us {font-family: 'Source Sans Pro', sans-serif; font-weight: 400; font-size: 16px; line-height:1.3em; color: #ffffff!important;margin: 0px }}


/*--- skill bar ---*/
.gdlr-skill-bar-wrapper{ margin-bottom: 15px; }

.gdlr-skill-bar-wrapper .gdlr-skill-bar-progress{ width: 0; position: relative; }
.gdlr-skill-bar-wrapper.gdlr-size-small .gdlr-skill-bar-progress{height: 1px;}
	
.gdlr-skill-bar-wrapper.gdlr-size-medium .gdlr-skill-bar-progress{ padding: 8px 0px; font-size: 15px; }
.gdlr-skill-bar-wrapper.gdlr-size-large .gdlr-skill-bar-progress{ padding: 14px 0px; font-size: 17px; }

.gdlr-skill-bar-wrapper .skill-bar-content{ font-weight: bold; }
.gdlr-skill-bar-wrapper.gdlr-size-small .skill-bar-content{ margin-bottom: 10px; display: block; font-size: 12px; letter-spacing: 2px; text-transform: uppercase; }
.gdlr-skill-bar-wrapper.gdlr-size-small { margin-bottom: 20px; }
.gdlr-skill-bar-wrapper.gdlr-size-medium .skill-bar-content{ padding: 0px 16px; }
.gdlr-skill-bar-wrapper.gdlr-size-medium .skill-bar-content i{ position: absolute; font-size: 15px; 
	right: 8px; top: 50%; margin-top: -8px; }
.gdlr-skill-bar-wrapper.gdlr-size-large .skill-bar-content{ padding: 0px 22px; }
.gdlr-skill-bar-wrapper.gdlr-size-large .skill-bar-content i{ position: absolute; font-size: 18px; 
	right: 16px; top: 50%; margin-top: -9px;}
	
	
	.gdlr-page-title-wrapper .gdlr-page-title-overlay {
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    /* 114 */
    background: #fff;
    opacity: 0.1;
    filter: alpha(opacity=10);
}

#show-on-mobile {display: none;}


 
 
/* homepage dates and agenda start */

.home-head-shdw {
	font-family: 'Source Sans Pro', sans-serif;
	font-size: 58px; line-height: 1.3em;
    font-weight: 400 !important;
    color: #ffffff !important;
	text-shadow: rgba(0,0,0,0.9) -1px 3px 10px;
}

@media only screen and (max-width: 414px) {
.home-head-shdw {font-size: 35px !important;}}



.dates-head-shdw {
	font-family: Muli !important;
	font-weight: 400!important;
	font-size: 44px;
	color: #ffffff !important;
	text-shadow: rgba(0,0,0,0.9) -1px 3px 10px;
	
	}

@media only screen and (max-width: 414px) {
.dates-head-shdw {font-size: 30px !important;line-height: 1.3em;}}



/* homepage dates and agenda end */




@media only screen 
    and (min-device-width : 320px) 
    and (max-device-width : 480px){ 
      #show-on-mobile {display: block;background-color: #212121 !important; margin-top: -60px; margin-bottom: -30px; }
  }


@media only screen and (max-width: 414px) {
.boby .body-wrapper { max-height: 40px !important; }}


@media only screen and (max-width: 414px) {
.gdlr-page-title-wrapper {max-height: 200px;}}


/*
main menu colours
.gdlr-testimonial-item.plain-style .testimonial-item {
    text-align: center;
    font-size: 16px;
    color: #2c3e50 !important;
}	
*/

/* Competition winners starts*/

.comp-head {font-family: 'Source Sans Pro' !important; font-weight: 400!important; font-size: 40px; color: #f4cd2e !important;text-transform:none !important;}


/* Competition winners ends*/







.home-head-muli {font-family: 'Orbitron', sans-serif; font-size: 70px; font-weight: 400; color: #ffffff; }
.home-head-julius {font-family: 'Orbitron', sans-serif; font-size: 62px; font-weight: 400; color: #ffffff;  line-height:1px;}

.home-head-muli-about {font-family: 'Orbitron', sans-serif; font-size: 62px !important; line-height:80px; font-weight: 200 !important; color: #ffffff; }
.home-head-muli-contact-x {font-family: 'Orbitron', sans-serif; font-size: 1.2em !important; line-height:60px; font-weight: 200 !important; color: #ffffff; }




@media only screen and (max-width: 797px) {
.home-head-muli {font-family: 'Orbitron', sans-serif;  font-weight: 400; font-size: 28px; color: #ffffff !important;}}

@media only screen and (max-width: 797px) {
.home-head-muli-contact-x {font-family: 'Orbitron', sans-serif; font-size: 28px !important; line-height:60px; font-weight: 200 !important; color: #ffffff; }}

@media only screen and (max-width: 414px) {
.home-head-muli-about {font-family: 'Orbitron', sans-serif; font-size: 50px !important; line-height:55px; font-weight: 300; color: #ffffff;  }}


@media only screen and (max-width: 414px) {
.home-head-muli-contact-x {font-family: 'Orbitron', sans-serif; font-size: 50px !important; line-height:60px; font-weight: 200 !important; color: #ffffff; }}

/* sub heads*/

.home-head-muli-about-subhead {font-family: 'Orbitron', sans-serif; font-size: 63px !important; line-height:70px; font-weight: 200 !important; color: #ffffff; }
.home-head-muli-about-subhead-x  {font-family: 'Orbitron', sans-serif; font-size: 3em !important; line-height:3.3em; font-weight: 200 !important; color: #ffffff; }

@media only screen and (max-width: 797px) {
.home-head-muli-about-subhead  {font-family: 'Orbitron', sans-serif;  font-weight: 300; font-size: 28px; color: #ffffff !important;}
.home-head-muli-about-subhead-x  {font-family: 'Orbitron', sans-serif; font-size: 23px !important; line-height:60px; font-weight: 200 !important; color: #ffffff; }

@media only screen and (max-width: 414px) {
.home-head-muli-about-subhead  {font-family: 'Orbitron', sans-serif; font-size: 50px !important; line-height:55px; font-weight: 300; color: #ffffff;  }}
.home-head-muli-about-subhead-x  {font-family: 'Orbitron', sans-serif; font-size: 43px !important; line-height:50px; font-weight: 200 !important; color: #ffffff; }




/* sub heads ENDS*/


@media only screen and (max-width: 797px) {
.home-head-julius {font-family: 'Orbitron', sans-serif;  font-weight: 400; font-size: 28px; color: #ffffff !important;line-height:1px;}}



@media only screen and (max-width: 414px) {
.home-head-muli  {font-family: 'Orbitron', sans-serif;  font-weight: 400; font-size: 38px; color: #ffffff!important;margin: 0px;  }}

@media only screen and (max-width: 414px) {
.home-head-julius  {font-family: 'Orbitron', sans-serif;  font-weight: 400; font-size: 38px; color: #ffffff!important;margin: 0px;line-height:1px; }}

.home-head-sponsors {font-family: 'Orbitron', sans-serif; font-size: 60px; font-weight: 400; color: #ffffff !important; }

@media only screen and (max-width: 797px) {
.home-head-sponsors {font-family: 'Orbitron', sans-serif;  font-weight: 400; font-size: 28px; color: #ffffff !important; line-height:1px;}}

@media only screen and (max-width: 414px) {
.home-head-sponsors  {font-family: 'Orbitron', sans-serif;  font-weight: 400; font-size: 38px; color: #ffffff !important; margin: 0px;  }}




.home-leader {font-family: 'Source Sans Pro', sans-serif; font-weight: 400!important; font-size: 23px; line-height:1.55em; color: #ffffff!important;margin: 0px }

@media only screen and (max-width: 414px) {
.home-leader {font-family: 'Source Sans Pro', sans-serif; font-weight: 400; font-size: 20px; line-height:1.3em; color: #ffffff!important; margin: 0px;  }}

.home-leader-break {font-family: 'Source Sans Pro', sans-serif; font-weight: 600; font-size: 20px; line-height:1.3em; color: #ffffff!important; margin: 0px; word-wrap: break-word; overflow-wrap: break-word; }






.home-leader-yellow {color: #f4cd2e !important; font-weight: 600;font-family: 'Source Sans Pro', sans-serif;}

.home-leader-red {color: #ee0f0f !important; font-weight: 600;font-family: 'Source Sans Pro', sans-serif;}

.home-leader-indent {font-family: 'Source Sans Pro', sans-serif; font-weight: 400!important; font-size: 23px; line-height:1.55em; color: #ffffff!important; }




.level2-head {font-family: 'Orbitron', sans-serif; !important; font-weight: 400!important; font-size: 40px; color: #f4cd2e !important;}

.level1-head {font-family: 'Orbitron', sans-serif; !important; font-weight: 400!important; font-size: 45px; color: #f4cd2e !important;}


.level2-head-comp {font-family: 'Orbitron', sans-serif; !important; font-weight: 400!important; font-size: 40px; color: #f4cd2e !important;margin-top:-70px }

@media only screen and (max-width: 414px) {
.level2-head-comp {font-family: 'Orbitron', sans-serif; !important; font-weight: 400; font-size: 38px; color:#f4cd2e !important;margin: 0px;  }}


.gdlr-styled-box-body {padding: 20px 20px 20px  !important;}

@media only screen and (max-width: 414px) {
.gdlr-styled-box-body {padding: 30px 20px 25px  }}





.sub-head {font-family: 'Source Sans Pro', sans-serif; font-weight: 400!important; font-size: 28px; line-height:1.35em; color: #ffffff!important;margin: 0px}

.slider-head {font-family: 'Source Sans Pro', sans-serif; font-weight: 800!important; font-size: 40px; color: #ffffff !important;}
.sponsors-headx {font-family: 'Source Sans Pro', sans-serif; font-weight: 400!important; font-size: 58px !important;; color: #ffffff !important;text-align: left;z-index: 2000;}
.dates-head {font-family: 'Source Sans Pro', sans-serif; font-weight: 400!important; font-size: 44px; color: #ffffff !important;}


  

.slider-text-01 a:link {font-family: Muli; color: #f2381c !important;z-index: 299; }



@media only screen and (max-width: 797px) {
	
	.slider-text-01 a:link {font-family: 'Source Sans Pro', sans-serif; color: #f2381c !important;z-index: 299;font-size:50px;  } }



.contact-widget-head {font-family:'Source Sans Pro', sans-serif; font-size: 23px; line-height:1.3em;font-weight: 400; color: #ffffff;}


.contact-form-text { font-size: 16px; line-height: 1.7; color: #ffffff; font-family: Muli, Helvetica, Arial, sans-serif; overflow-y: scroll;
	-webkit-text-size-adjust: 100%; -webkit-font-smoothing: antialiased; }





.body-wrapper, .gdlr-single-lightbox-container{
    background-color: #000000;
}

.gdlr-logo {

display: block;
margin-left: 1px !important;
    margin-right: auto;float: left;}


/*--- search form ---*/
.gdlr-navigation-substitute{ position: relative; z-index: 91; }

#gdlr-menu-search-button { display:none; }
#gdlr-menu-search{  display:none; }
#gdlr-menu-search input[type="text"]{  display:none; }
#gdlr-menu-search input[type="submit"]{ display: none; }
.gdlr-menu-search-button-sep{
display: none !important;
}

.gdlr-fixed-header .gdlr-menu-search-button-sep{ display: none !important; }
.gdlr-fixed-header #gdlr-menu-search-button { display: none !important;  }
.gdlr-fixed-header #gdlr-menu-search{ display: none !important; }

/*--- search form ---*/



.gdlr-item-title-wrapper .gdlr-item-title{ font-size: 36px; color: #ffff00 !important;margin-bottom: 0px; font-weight: 800; 
	text-transform: uppercase; line-height: 1; letter-spacing: 4px; }

.stunning-text-title{
    color: #eaeaea;
}
#cambgameslink:hover { color: #f4cd2e; }





.gdlr-navigation-wrapper .gdlr-main-menu > li:first-child > a{ padding-left: 0px; }
.gdlr-navigation-wrapper .gdlr-main-menu > li > a.sf-with-ul{ padding-right: 0px; }
.gdlr-navigation-wrapper .gdlr-main-menu > li > a.sf-with-ul:after{ display: none; top: 11px; right: 0px; }

.gdlr-fixed-header .gdlr-navigation-gimmick{ bottom: 16px; }
.gdlr-navigation-gimmick{ position: absolute; bottom: 30px; height: 3px; z-index: -1; }

/*
Main image non masterslider
*/
.gdlr-page-title-wrapper { padding: 90px 0px 85px; position: relative; z-index: 89; line-height: 1;
	background-image: url('images/page-title-background.jpg'); background-repeat: repeat; background-position: center; min-height: 300px;}
.gdlr-page-title-wrapper .gdlr-page-title-overlay{ position: absolute; top: 0px; right: 0px; bottom: 0px; left: 0px; 
	background: #fff; opacity: 0.01; filter: alpha(opacity=10); }
.gdlr-page-title-wrapper .gdlr-page-title-container{ position: relative; }
.gdlr-page-title-wrapper .gdlr-page-title{ font-size: 45px; margin: 0px 20px; display: block; 
	text-transform: uppercase; font-weight: 800; letter-spacing: 5px; }
.gdlr-page-title-wrapper .gdlr-page-caption{ font-size: 19px; margin: 12px 20px 0px; display: block; font-style: italic; }
.gdlr-page-title-wrapper .gdlr-page-title-gimmick { font-size: 20px; display: block; margin-top: 20px; }	

.gdlr-page-title-wrapper.gdlr-title-large-center{ text-align: center; padding: 135px 0px; }
.gdlr-page-title-wrapper.gdlr-title-large-center .gdlr-page-title{ font-size: 65px; }
.gdlr-page-title-wrapper.gdlr-title-large-center .gdlr-page-caption{ font-size: 22px; margin-top: 20px; } 


/*--- experiments for main non slider image depth on mobile ---*/

@media only screen and (max-width: 414px) {
.gdlr-page-title-wrapper .gdlr-parallax-wrapper {max-height: 100px;}}

@media only screen and (max-width: 414px) {
.gdlr-page-title-container container {max-height: 100px;}}

@media only screen and (max-width: 414px) {
	.section-container, .gdlr-item-start-content, .gdlr-parallax-wrapper, .gdlr-color-wrapper {padding-top: 20px !important;}}

/*--- goodlayers skin normal SUB menu ---*/
.sf-menu > .gdlr-normal-menu ul { text-transform: none; letter-spacing: 0px; font-size: 13px !important; letter-spacing: 1px !important; min-width: 190px; *width: 12em; /*- no auto width for IE7 -*/ }
.sf-menu > .gdlr-normal-menu li { white-space: nowrap; *white-space: normal; /*- for IE7 -*/ }
.sf-menu > .gdlr-normal-menu li a{ padding: 10px 15px; border-top-width: 1px; border-top-style: solid; zoom: 1; }
.sf-menu > .gdlr-normal-menu li:first-child > a{ border-top-width: 0px; }
.sf-menu > .gdlr-normal-menu li > a.sf-with-ul { padding-right: 30px; }
.sf-menu > .gdlr-normal-menu li > a.sf-with-ul:after { content: '\f105'; top: 50%; margin-top: -10px; 
	right: 10px; border-color: transparent; }
.sf-menu > .gdlr-normal-menu .sub-menu { border-top-width: 0px; border-top-style: solid; }



/*--- teaching resources box ---*/
.gdlr-box-with-icon-item {
    background-color: #ffffff !important;
}

.gdlr-box-with-icon-item > i, .gdlr-box-with-icon-item .box-with-icon-title { color: #FFFFFF !important; }

.gdlr-navigation-wrapper .gdlr-main-menu > li > a {
    font-size: 16px;
    font-weight: 400;
    font-family: 'Source Sans Pro' !important;
    letter-spacing: 1px;
}
.gdlr-session-item .gdlr-session-info {
    font-size: 20px;
}
.gdlr-session-item .gdlr-session-item-content-info {
    padding-top: 40px;
    padding-bottom: 20px;
}
.gdlr-session-item .gdlr-session-item-content {
    padding-top: 40px;
    padding-bottom: 20px;
}
.gdlr-session-item .gdlr-session-item-title {
    font-size: 25px;
    margin-bottom: 20px;
    font-weight: 400;
    line-height: 1.4em;
    font-family: 'Open Sans', sans-serif;
    text-transform: none;
}
.gdlr-session-item-content-wrapper {
    background-color: #f7f7f7;
}

/* TEACHING RESOURCES page Text with background above video */
.gdlr-item{ margin: 0px 15px 20px; min-height: 1px; }
.gdlr-full-size-wrapper .gdlr-item-no-space{ margin-bottom: 20px; }
.gdlr-item-no-space{ margin: 0px 20px 40px; }
.gdlr-item-no-space .gdlr-item{ margin: 0px; }
.gdlr-item.gdlr-main-content { margin-bottom: 55px; }
.gdlr-item.gdlr-divider-item{ margin-bottom: 50px }
.section-container,   .gdlr-color-wrapper { padding-top: 0px !important;  }
.gdlr-color-wrapper  {padding-bottom: 5px !important;}
.gdlr-full-size-wrapper .gdlr-item,
.gdlr-full-size-wrapper .gdlr-item-no-space{ margin-left: 0px; margin-right: 0px; }



/* TEACHING RESOURCES Makes YouTube embedded links respsonsive */
.video-container {
	position: relative;
	padding-bottom: 56.25%;
	padding-top: 30px;
	height: 0;
	overflow: hidden;
}

.video-container iframe,  
.video-container object,  
.video-container embed {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.entry-content img, 
.entry-content iframe, 
.entry-content object, 
.entry-content embed {
        max-width: 100%;
}
/* STUNNING TEXT */

.gdlr-stunning-text-item.type-normal .stunning-text-caption {
    font-size: 16px;color: #f9f9f9;
}


.gdlr-stunning-text-item.type-normal .stunning-text-caption {font-size: 16px !important;}

.gdlr-header-inner {
    background-color: #000000 !important;
}

